#include <iostream>

using namespace std;

int main()
{
    int N,L,a=-1,b=1;
    cin>>N>>L;
    int H[N];
    for (int i=0;i<N;i++)
    {
        cin>>H[i];
    }
    for (int i=0;i<N && b!=0;i++)
    {
        if (L>=H[i])
        {
            a=i+1;
            b=0;
        }
    }
    cout<<a;
}